%define	name	kradio
%define	version 4.0.4
%define	release	1
%define	Summary	A V4L/V4L2-Radio Application for KDE 4.x

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Sound
License:	GPLv2+
Url:		http://sourceforge.net/projects/kradio/
Source0:	http://freefr.dl.sourceforge.net/sourceforge/kradio/%{name}4-%{version}.tar.bz2
Patch2:		kradio-fix-invalid-desktop.patch
Patch3:		kradio4-install-desktop.patch
BuildRequires:	kdelibs4-devel >= 2:4.1.83
BuildRequires:	libsndfile-devel
BuildRequires:	libalsa-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	libmms-devel
BuildRequires:	lirc-devel
BuildRequires:	oggvorbis-devel

%description
Comfortable Radio Application for KDE 4.x

KRadio is a comfortable radio application for KDE 4.x.
It has support for V4L and V4L2 radio cards drivers.

KRadio currently provides:

* V4L/V4L2 Radio support
* Remote Control support (LIRC)
* Alarms, Sleep Countdown
* Several GUI Controls (Docking Menu, Station Quickbar, Radio Display)
* Recording Capabilities
* Extendable Plugin Architecture

This Package also includes a growing collection of station preset.
files for many cities around the world contributed by KRadio Users.

%prep
%setup -q -n %{name}4-%{version}
%patch2 -p1 -b .xdg
%patch3 -p1 -b .install

%build
%cmake_kde4
%make
 
%install
%makeinstall_std -C build

rm -fr %buildroot%_datadir/doc/*

%find_lang %name --all-name
 
%files -f %name.lang
%doc AUTHORS ChangeLog README TODO
%{_kde_bindir}/*
%{_kde_libdir}/%{name}4
%{_kde_datadir}/applications/kde4/*.desktop
%{_kde_datadir}/pixmaps/kradio4.png
%{_kde_appsdir}/%{name}4
%{_kde_iconsdir}/*/*/*/*


%changelog
* Wed Feb 22 2012 Alexander Khrukin <akhrukin@mandriva.org> 4.0.4-1
+ Revision: 779277
- version update 4.0.4

* Wed Feb 15 2012 Alexander Khrukin <akhrukin@mandriva.org> 4.0.3-1
+ Revision: 774584
- version update 4.0.3

* Sun Jan 09 2011 Funda Wang <fwang@mandriva.org> 4.0.2-1mdv2011.0
+ Revision: 630686
- update to new version 4.0.2

* Sun Oct 03 2010 Funda Wang <fwang@mandriva.org> 4.0.1-1mdv2011.0
+ Revision: 582631
- new version 4.0.1 final

* Mon Sep 27 2010 Funda Wang <fwang@mandriva.org> 4.0.1-0.rc2.1mdv2011.0
+ Revision: 581206
- new version 4.0.1 rc2

* Sat Sep 18 2010 Funda Wang <fwang@mandriva.org> 4.0.1-0.rc.1mdv2011.0
+ Revision: 579316
- new version 4.0.1 rc1

* Tue Jun 02 2009 Funda Wang <fwang@mandriva.org> 4.0.0-1mdv2010.0
+ Revision: 382092
- New version 4.0.0 final

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 4.0.0-0.rc4.1mdv2010.0
+ Revision: 369439
- 4.0 rc4

* Sat Apr 11 2009 Funda Wang <fwang@mandriva.org> 4.0.0-0.rc2.1mdv2009.1
+ Revision: 366360
- 4.0 rc2

* Thu Apr 02 2009 Funda Wang <fwang@mandriva.org> 4.0.0-0.rc1.1mdv2009.1
+ Revision: 363454
- fix rm
- 4.0 rc1

* Mon Mar 23 2009 Funda Wang <fwang@mandriva.org> 4.0.0-0.r778.1mdv2009.1
+ Revision: 360596
- New snapshot

* Wed Mar 18 2009 Funda Wang <fwang@mandriva.org> 4.0.0-0.r775.1mdv2009.1
+ Revision: 357114
- New snapshot

* Sat Mar 07 2009 Funda Wang <fwang@mandriva.org> 4.0.0-0.r723.1mdv2009.1
+ Revision: 351315
- fix build with newer ffmpeg
- New snapshot r723

* Fri Mar 06 2009 Funda Wang <fwang@mandriva.org> 4.0.0-0.r701.1mdv2009.1
+ Revision: 349616
- New snapshot

* Mon Feb 09 2009 Funda Wang <fwang@mandriva.org> 4.0.0-0.r562.1mdv2009.1
+ Revision: 338646
- New snapshot (kde4 based)

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 1.0-0.r497.3mdv2009.0
+ Revision: 218422
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 31 2007 Funda Wang <fwang@mandriva.org> 1.0-0.r497.3mdv2008.0
+ Revision: 77186
- fix invalid desktop file

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 1.0-0.r497.2mdv2008.0
+ Revision: 36181
- rebuild with correct optflags

* Mon Jun 04 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0-0.r497.1mdv2008.0
+ Revision: 35070
- Add fd.o categories

  + Funda Wang <fwang@mandriva.org>
    - Drop mandriva category
    - use unsermake
      fix file list
    - New snapshot
    - bunzip2 the patch
    - Rebuild
    - Import kradio

